# ACE_Fixed_Set_Iterator< T, ACE_SIZE > Class Template Reference

Iterates through an unordered set. More...

`#include <Containers_T.h>`

Inheritance diagram for ACE_Fixed_Set_Iterator< T, ACE_SIZE >:

[legend]
Collaboration diagram for ACE_Fixed_Set_Iterator< T, ACE_SIZE >:

[legend]
List of all members.

## Public Member Functions

| ACE_Fixed_Set_Iterator (ACE_Fixed_Set< T, ACE_SIZE > &s)
int | next (T *&next_item)
void | dump (void) const
| Dump the state of an object.
int | remove (T *&item)
T & | operator * (void)

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

### template<class T, size_t ACE_SIZE>
class ACE_Fixed_Set_Iterator< T, ACE_SIZE >

Iterates through an unordered set.

This implementation of an unordered set uses a fixed array. Allows deletions while iteration is occurring.

## Constructor & Destructor Documentation

template<class T, size_t ACE_SIZE>
ACE_Fixed_Set_Iterator< T, ACE_SIZE >::ACE_Fixed_Set_Iterator | ( | ACE_Fixed_Set< T, ACE_SIZE > & | s | ) |

## Member Function Documentation

template<class T, size_t ACE_SIZE>
void ACE_Fixed_Set_Iterator< T, ACE_SIZE >::dump | ( | void |  | ) | const

| Dump the state of an object.

template<class T, size_t ACE_SIZE>
int ACE_Fixed_Set_Iterator< T, ACE_SIZE >::next | ( | T *& | next_item | ) |

| Pass back the {next_item} that hasn't been seen in the Set. Returns 0 when all items have been seen, else 1. Reimplemented from ACE_Fixed_Set_Iterator_Base< T, ACE_SIZE >.

template<class T, size_t ACE_SIZE>
T & ACE_Fixed_Set_Iterator< T, ACE_SIZE >::operator * | ( | void |  | ) |

| STL-like iterator dereference operator: returns a reference to the node underneath the iterator.

template<class T, size_t ACE_SIZE>
int ACE_Fixed_Set_Iterator< T, ACE_SIZE >::remove | ( | T *& | item | ) |

| Remove the item where the itearetor is located at. Returns 1 if it removes a item, else 0. Pass back the removed {item}.

## Member Data Documentation

template<class T, size_t ACE_SIZE>
ACE_Fixed_Set_Iterator< T, ACE_SIZE >::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Fixed_Set_Iterator_Base< T, ACE_SIZE >.

The documentation for this class was generated from the following files:

- Containers_T.h
- Containers_T.cpp